Upload image

Uploads an image to add to the form.

Parameters:

  • survey_id: form ID
  • image: field containing the image data

Request

POST

https://api.forms.yandex.net/v1/surveys/{survey_id}/images

Path parameters

Name

Description

survey_id

Type: string

Pattern: ^[a-fA-F\d]{24}$

Example: ``

Body

multipart/form-data
{
  "image": "example"
}

Name

Description

image

Type: string<binary>

Example: example

Responses

201 Created

Created

Body

application/json
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}

Name

Description

links

Type: Links

[additional]

Type: string<uri>

Min length: 1

Max length: 2083

Example: https://example.com

List of links to different image sizes

Example
{}

check_status

All of 1 type
  • FileCheckStatusType

    Type: FileCheckStatusType

    An enumeration.

    Enum: check, ready, infected, error, deleted

Image upload status

Example: check

id

Type: integer

Image ID

name

Type: string

Original image file name

Example: example

FileCheckStatusType

An enumeration.

Type: string

Enum: check, ready, infected, error, deleted

Previous